pcl::xNdCopyPointEigenFunctor< PointT > Struct Template Reference

Helper functor structure for copying data between an Eigen::VectorXf and a PointT. More...

`#include <pcl/filters/approximate_voxel_grid.h>`

## Public Types

using | Pod = typename traits::POD< PointT >::type

## Public Member Functions

| xNdCopyPointEigenFunctor (const PointT &p1, Eigen::VectorXf &p2)
template<typename Key >
void | operator() ()

## Detailed Description

### template<typename PointT>
struct pcl::xNdCopyPointEigenFunctor< PointT >

Helper functor structure for copying data between an Eigen::VectorXf and a PointT.

Definition at line 71 of file approximate_voxel_grid.h.

## Member Typedef Documentation

## Pod

template<typename PointT >

using pcl::xNdCopyPointEigenFunctor< PointT >::Pod = typename traits::POD<PointT>::type

Definition at line 73 of file approximate_voxel_grid.h.

## Constructor & Destructor Documentation

## xNdCopyPointEigenFunctor()

template<typename PointT >

pcl::xNdCopyPointEigenFunctor< PointT >::xNdCopyPointEigenFunctor | ( | const PointT & | p1,
|  | Eigen::VectorXf & | p2
| ) |  |

inline

Definition at line 75 of file approximate_voxel_grid.h.

## Member Function Documentation

## operator()()

template<typename PointT >
template<typename Key >

void pcl::xNdCopyPointEigenFunctor< PointT >::operator() | ( |  | ) |

inline

Definition at line 78 of file approximate_voxel_grid.h.

The documentation for this struct was generated from the following file:

- pcl/filters/approximate_voxel_grid.h